OpenVDB 5.1.0

Public Types | Static Public Member Functions | List of all members
ConversionTraits< openvdb::Name > Struct Template Reference

`#include <PointConversion.h>`

## Public Types
using | Handle = StringAttributeHandle
using | WriteHandle = StringAttributeWriteHandle

## Static Public Member Functions
static openvdb::Name | zero ()
template<typename LeafT >
static Handle::Ptr | handleFromLeaf (LeafT &leaf, Index index)
template<typename LeafT >
static WriteHandle::Ptr | writeHandleFromLeaf (LeafT &leaf, Index index)

## Member Typedef Documentation

## ◆ Handle

using Handle = StringAttributeHandle

## ◆ WriteHandle

using WriteHandle = StringAttributeWriteHandle

## Member Function Documentation

## ◆ handleFromLeaf()

static Handle::Ptr handleFromLeaf | ( | LeafT & | leaf,
|  | Index | index
| ) |  |
| inline static

## ◆ writeHandleFromLeaf()

static WriteHandle::Ptr writeHandleFromLeaf | ( | LeafT & | leaf,
|  | Index | index
| ) |  |
| inline static

## ◆ zero()

static openvdb::Name zero | ( |  | ) |
| inline static

The documentation for this struct was generated from the following file:

- PointConversion.h